package com.ruoyi.bookmark.service;

import java.util.List;
import com.ruoyi.bookmark.domain.SqBookmark;

/**
 * 书签管理Service接口
 *
 * @author wanghao
 * @date 2020-08-02
 */
public interface ISqBookmarkService
{
    /**
     * 测试 通用mapper
     */
    public List<SqBookmark> selectByID(Long userID);

    /**
     * 查询用户栏目下书签管理
     *
     * @param menuID 栏目ID
     * @param userID 用户ID
     * @return 书签管理
     */
    public List<SqBookmark> selectBymenuIdUserID(Long menuID,Long userID);


    /**
     * 查询书签管理
     *
     * @param bookmarkId 书签管理ID
     * @return 书签管理
     */
    public SqBookmark selectSqBookmarkById(Long bookmarkId);

    /**
     * 查询书签管理列表
     *
     * @param sqBookmark 书签管理
     * @return 书签管理集合
     */
    public List<SqBookmark> selectSqBookmarkList(SqBookmark sqBookmark);

    /**
     * 新增书签管理
     *
     * @param sqBookmark 书签管理
     * @return 结果
     */
    public int insertSqBookmark(SqBookmark sqBookmark);

    /**
     * 修改书签管理
     *
     * @param sqBookmark 书签管理
     * @return 结果
     */
    public int updateSqBookmark(SqBookmark sqBookmark);

    /**
     * 批量删除书签管理
     *
     * @param bookmarkIds 需要删除的书签管理ID
     * @return 结果
     */
    public int deleteSqBookmarkByIds(Long[] bookmarkIds);

    /**
     * 删除书签管理信息
     *
     * @param bookmarkId 书签管理ID
     * @return 结果
     */
    public int deleteSqBookmarkById(Long bookmarkId);

    /**
     * 修改目录下书签状态为 删除状态
     *
     * @param
     * @return 结果
     */
    public void updateSqBookmarkBymenuId(Long menuId);
    /**
     * 回收站
     * @return
     */
    public List<SqBookmark> selectBydelete(Long userId);

    /**
     * 用户全部书签
     * @return
     */
    List<SqBookmark> selectByUseridList(Long userId);
}
